Index: /palm/trunk/SOURCE/time_integration.f90
===================================================================
--- /palm/trunk/SOURCE/time_integration.f90	(revision 1319)
+++ /palm/trunk/SOURCE/time_integration.f90	(revision 1320)
@@ -20,5 +20,11 @@
 ! Current revisions:
 ! ------------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 !
 ! Former revisions:
@@ -101,63 +107,4 @@
 ! wang_collision_kernel renamed wang_kernel
 !
-! 790 2011-11-29 03:11:20Z raasch
-! exchange of ghostpoints for array diss
-!
-! 707 2011-03-29 11:39:40Z raasch
-! bc_lr/ns replaced by bc_lr/ns_cyc, calls of exchange_horiz are modified,
-! adaption to sloping surface
-!
-! 667  2010-12-23 12:06:00Z suehring/gryschka
-! Calls of exchange_horiz are modified.
-! Adaption to slooping surface.
-!
-! 449 2010-02-02 11:23:59Z raasch
-! Bugfix: exchange of ghost points for prho included
-!
-! 410 2009-12-04 17:05:40Z letzel
-! masked data output
-!
-! 388 2009-09-23 09:40:33Z raasch
-! Using prho instead of rho in diffusvities.
-! Coupling with independent precursor runs.
-! Bugfix: output of particle time series only if particle advection is switched
-!         on
-!
-! 151 2008-03-07 13:42:18Z raasch
-! inflow turbulence is imposed by calling new routine inflow_turbulence
-!
-! 108 2007-08-24 15:10:38Z letzel
-! Call of new routine surface_coupler,
-! presure solver is called after the first Runge-Kutta substep instead of the
-! last in case that call_psolver_at_all_substeps = .F.; for this case, the
-! random perturbation has to be added to the velocity fields also after the
-! first substep
-!
-! 97 2007-06-21 08:23:15Z raasch
-! diffusivities is called with argument rho in case of ocean runs,
-! new argument pt_/prho_reference in calls of diffusivities,
-! ghostpoint exchange for salinity and density
-!
-! 87 2007-05-22 15:46:47Z raasch
-! var_hom renamed pr_palm
-!
-! 75 2007-03-22 09:54:05Z raasch
-! Move call of user_actions( 'after_integration' ) below increment of times
-! and counters,
-! calls of prognostic_equations_.. changed to .._noopt, .._cache, and
-! .._vector, these calls are now controlled by switch loop_optimization,
-! uxrp, vynp eliminated, 2nd+3rd argument removed from exchange horiz,
-! moisture renamed humidity
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.8  2006/08/22 14:16:05  raasch
-! Disturbances are imposed only for the last Runge-Kutta-substep
-!
-! Revision 1.2  2004/04/30 13:03:40  raasch
-! decalpha-specific warning removed, routine name changed to time_integration,
-! particle advection is carried out only once during the intermediate steps,
-! impulse_advec renamed momentum_advec
-!
 ! Revision 1.1  1997/08/11 06:19:04  raasch
 ! Initial revision
@@ -170,28 +117,86 @@
 !------------------------------------------------------------------------------!
 
-    USE advec_ws
-    USE arrays_3d
-    USE averaging
-    USE buoyancy_mod
-    USE control_parameters
-    USE cpulog
-#if defined( __dvrp_graphics )
-    USE DVRP
-#endif
-    USE grid_variables
-    USE indices
-    USE interaction_droplets_ptq_mod
-    USE ls_forcing_mod
-    USE particle_attributes
+    USE advec_ws,                                                              &
+        ONLY:  ws_statistics
+
+    USE arrays_3d,                                                             &
+        ONLY:  diss, e_p, nr_p, prho, pt, pt_p, ql, ql_c, ql_v, ql_vp, qr_p,   &
+               q_p, rho, sa_p, tend, u, u_p, v, vpt, v_p, w_p
+
+    USE buoyancy_mod,                                                          &
+        ONLY:  calc_mean_profile
+
+    USE control_parameters,                                                    &
+        ONLY:  advected_distance_x, advected_distance_y, average_count_3d,     &
+               average_count_sp, averaging_interval, averaging_interval_pr,    &
+               averaging_interval_sp, bc_lr_cyc, bc_ns_cyc,                    &
+               call_psolver_at_all_substeps, cloud_droplets, cloud_physics,    &
+               constant_heatflux, create_disturbances, dopr_n,                 &
+               constant_diffusion, coupling_mode, coupling_start_time,         &
+               current_timestep_number, disturbance_created,                   &
+               disturbance_energy_limit, dist_range, do_sum, dt_3d,            &
+               dt_averaging_input, dt_averaging_input_pr, dt_coupling,         &
+               dt_data_output_av, dt_disturb, dt_do2d_xy, dt_do2d_xz,          &
+               dt_do2d_yz, dt_do3d, dt_domask,dt_dopts, dt_dopr,               &
+               dt_dopr_listing, dt_dosp, dt_dots, dt_dvrp, dt_run_control,     &
+               end_time, first_call_lpm, galilei_transformation, humidity,     &
+               icloud_scheme, intermediate_timestep_count,                     &
+               intermediate_timestep_count_max, large_scale_forcing,           &
+               loop_optimization, lsf_surf, lsf_vert, masks, mid,              &
+               netcdf_data_format, neutral, nr_timesteps_this_run, ocean,      &
+               on_device, passive_scalar, prandtl_layer, precipitation,        &
+               prho_reference, pt_reference, pt_slope_offset, random_heatflux, &
+               run_coupled, simulated_time, simulated_time_chr,                &
+               skip_time_do2d_xy, skip_time_do2d_xz, skip_time_do2d_yz,        &
+               skip_time_do3d, skip_time_domask, skip_time_dopr,               &
+               skip_time_dosp, skip_time_data_output_av, sloping_surface,      &
+               stop_dt, terminate_coupled, terminate_run, timestep_scheme,     &
+               time_coupling, time_do2d_xy, time_do2d_xz, time_do2d_yz,        &
+               time_do3d, time_domask, time_dopr, time_dopr_av,                &
+               time_dopr_listing, time_dopts, time_dosp, time_dosp_av,         &
+               time_dots, time_do_av, time_do_sla, time_disturb, time_dvrp,    &
+               time_run_control, time_since_reference_point, turbulence,       &
+               turbulent_inflow, use_initial_profile_as_reference,             &
+               use_single_reference_value, u_gtrans, v_gtrans, ws_scheme_mom,  &
+               ws_scheme_sca
+
+    USE cpulog,                                                                &
+        ONLY:  cpu_log, log_point, log_point_s
+
+    USE indices,                                                               &
+        ONLY:  i_left, i_right, j_north, j_south, nbgp, nx, nxl, nxlg, nxr,    &
+               nxrg, nyn, nys, nzb, nzb_u_inner, nzb_v_inner 
+
+    USE interaction_droplets_ptq_mod,                                          &
+        ONLY:  interaction_droplets_ptq
+
+    USE kinds
+
+    USE ls_forcing_mod,                                                        &
+        ONLY:  ls_forcing_surf, ls_forcing_vert
+
+    USE particle_attributes,                                                   &
+        ONLY:  particle_advection, particle_advection_start, wang_kernel
+
     USE pegrid
-    USE production_e_mod
-    USE prognostic_equations_mod
-    USE statistics
-    USE user_actions_mod
+
+    USE production_e_mod,                                                      &
+        ONLY:  production_e_init
+
+    USE prognostic_equations_mod,                                              &
+        ONLY:  prognostic_equations_acc, prognostic_equations_cache,           &
+               prognostic_equations_vector
+
+    USE statistics,                                                            &
+        ONLY:  flow_statistics_called, hom, pr_palm
+
+    USE user_actions_mod,                                                      &
+        ONLY:  user_actions
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=9) ::  time_to_string
-    INTEGER           ::  netcdf_data_format_save
+    CHARACTER (LEN=9) ::  time_to_string          !: 
+
+    INTEGER(iwp)      ::  netcdf_data_format_save !: 
 
 !
Index: /palm/trunk/SOURCE/time_to_string.f90
===================================================================
--- /palm/trunk/SOURCE/time_to_string.f90	(revision 1319)
+++ /palm/trunk/SOURCE/time_to_string.f90	(revision 1320)
@@ -20,5 +20,10 @@
 ! Current revisions:
 ! -----------------
-! 
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 !
 ! Former revisions:
@@ -28,9 +33,4 @@
 ! 1036 2012-10-22 13:43:42Z raasch
 ! code put under GPL (PALM 3.9)
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.3  2001/01/22 08:16:04  raasch
-! Comments translated into English
 !
 ! Revision 1.1  1997/08/11 06:26:08  raasch
@@ -43,9 +43,16 @@
 !------------------------------------------------------------------------------!
 
+    USE kinds
+
     IMPLICIT NONE
 
-    CHARACTER (LEN=9) ::  time_to_string
-    INTEGER           ::  hours, minutes, seconds
-    REAL              ::  rest_time, time
+    CHARACTER (LEN=9) ::  time_to_string !: 
+
+    INTEGER(iwp)      ::  hours   !: 
+    INTEGER(iwp)      ::  minutes !: 
+    INTEGER(iwp)      ::  seconds !: 
+
+    REAL(wp)          ::  rest_time !: 
+    REAL(wp)          ::  time      !: 
 
 !
Index: /palm/trunk/SOURCE/timestep.f90
===================================================================
--- /palm/trunk/SOURCE/timestep.f90	(revision 1319)
+++ /palm/trunk/SOURCE/timestep.f90	(revision 1320)
@@ -20,5 +20,11 @@
 ! Current revisions:
 ! ------------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 !
 ! Former revisions:
@@ -51,30 +57,4 @@
 ! special treatment in case of mirror velocity boundary condition removed
 !
-! 707 2011-03-29 11:39:40Z raasch
-! bc_lr/ns replaced by bc_lr/ns_cyc
-!
-! 667 2010-12-23 12:06:00Z suehring/gryschka
-! Exchange of terminate_coupled between ocean and atmosphere via PE0
-! Minimum grid spacing dxyz2_min(k) is now calculated using dzw instead of dzu
-!
-! 622 2010-12-10 08:08:13Z raasch
-! optional barriers included in order to speed up collective operations
-!
-! 343 2009-06-24 12:59:09Z maronga
-! Additional timestep criterion in case of simulations with plant canopy
-! Output of messages replaced by message handling routine.
-!
-! 222 2009-01-12 16:04:16Z letzel
-! Implementation of a MPI-1 Coupling: replaced myid with target_id
-! Bugfix for nonparallel execution
-!
-! 108 2007-08-24 15:10:38Z letzel
-! modifications to terminate coupled runs
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.21  2006/02/23 12:59:44  raasch
-! nt_anz renamed current_timestep_number
-!
 ! Revision 1.1  1997/08/11 06:26:19  raasch
 ! Initial revision
@@ -86,26 +66,70 @@
 !------------------------------------------------------------------------------!
 
-    USE arrays_3d
-    USE cloud_parameters
-    USE control_parameters
-    USE cpulog
-    USE grid_variables
-    USE indices
+    USE arrays_3d,                                                             &
+        ONLY:  cdc, dzu, dzw, kh, km, lad_u, lad_v, lad_w, u, v, w
+
+    USE cloud_parameters,                                                      &
+        ONLY:  dt_precipitation
+
+    USE control_parameters,                                                    &
+        ONLY:  cfl_factor, coupling_mode, dt_3d, dt_fixed, dt_max,             &
+               galilei_transformation, old_dt, plant_canopy, message_string,   &
+               stop_dt, terminate_coupled, terminate_coupled_remote,           &
+               timestep_reason, u_gtrans, use_ug_for_galilei_tr, v_gtrans
+
+    USE cpulog,                                                                &
+        ONLY:  cpu_log, log_point
+
+    USE grid_variables,                                                        &
+        ONLY:  dx, dx2, dy, dy2
+
+    USE indices,                                                               &
+        ONLY:  nxl, nxlg, nxr, nxrg, nyn, nyng, nys, nysg, nzb, nzt
+
     USE interfaces
+
+    USE kinds
+
     USE pegrid
-    USE statistics
+
+    USE statistics,                                                            &
+        ONLY:  flow_statistics_called, hom, u_max, u_max_ijk, v_max, v_max_ijk,&
+               w_max, w_max_ijk
 
     IMPLICIT NONE
 
-    INTEGER ::  i, j, k
-
-    REAL ::  div, dt_diff, dt_diff_l, dt_plant_canopy, dt_plant_canopy_l,     &
-             dt_plant_canopy_u, dt_plant_canopy_v, dt_plant_canopy_w,         &
-             dt_u, dt_u_l, dt_v, dt_v_l, dt_w, dt_w_l, u_gtrans_l, u_max_l,   &
-             u_min_l, value, v_gtrans_l, v_max_l, v_min_l, w_max_l, w_min_l
-
-    REAL, DIMENSION(2)         ::  uv_gtrans, uv_gtrans_l
-    REAL, DIMENSION(3)         ::  reduce, reduce_l
-    REAL, DIMENSION(nzb+1:nzt) ::  dxyz2_min
+    INTEGER(iwp) ::  i !: 
+    INTEGER(iwp) ::  j !: 
+    INTEGER(iwp) ::  k !: 
+
+    REAL(wp) ::  div               !: 
+    REAL(wp) ::  dt_diff           !: 
+    REAL(wp) ::  dt_diff_l         !: 
+    REAL(wp) ::  dt_plant_canopy   !: 
+    REAL(wp) ::  dt_plant_canopy_l !: 
+    REAL(wp) ::  dt_plant_canopy_u !: 
+    REAL(wp) ::  dt_plant_canopy_v !: 
+    REAL(wp) ::  dt_plant_canopy_w !: 
+    REAL(wp) ::  dt_u              !: 
+    REAL(wp) ::  dt_u_l            !: 
+    REAL(wp) ::  dt_v              !: 
+    REAL(wp) ::  dt_v_l            !: 
+    REAL(wp) ::  dt_w              !: 
+    REAL(wp) ::  dt_w_l            !: 
+    REAL(wp) ::  u_gtrans_l        !: 
+    REAL(wp) ::  u_max_l           !: 
+    REAL(wp) ::  u_min_l           !: 
+    REAL(wp) ::  value             !: 
+    REAL(wp) ::  v_gtrans_l        !: 
+    REAL(wp) ::  v_max_l           !: 
+    REAL(wp) ::  v_min_l           !: 
+    REAL(wp) ::  w_max_l           !: 
+    REAL(wp) ::  w_min_l           !: 
+ 
+    REAL(wp), DIMENSION(2)         ::  uv_gtrans   !: 
+    REAL(wp), DIMENSION(2)         ::  uv_gtrans_l !: 
+    REAL(wp), DIMENSION(3)         ::  reduce      !: 
+    REAL(wp), DIMENSION(3)         ::  reduce_l    !: 
+    REAL(wp), DIMENSION(nzb+1:nzt) ::  dxyz2_min   !:  
 
 
@@ -222,9 +246,9 @@
     ENDIF
 #else
-    CALL global_min_max( nzb, nzt+1, nysg, nyng, nxlg, nxrg, u, 'abs', 0.0, &
+    CALL global_min_max( nzb, nzt+1, nysg, nyng, nxlg, nxrg, u, 'abs', 0.0_wp, &
                          u_max, u_max_ijk )
-    CALL global_min_max( nzb, nzt+1, nysg, nyng, nxlg, nxrg, v, 'abs', 0.0, &
+    CALL global_min_max( nzb, nzt+1, nysg, nyng, nxlg, nxrg, v, 'abs', 0.0_wp, &
                          v_max, v_max_ijk )
-    CALL global_min_max( nzb, nzt+1, nysg, nyng, nxlg, nxrg, w, 'abs', 0.0, &
+    CALL global_min_max( nzb, nzt+1, nysg, nyng, nxlg, nxrg, w, 'abs', 0.0_wp, &
                          w_max, w_max_ijk )
 #endif
Index: /palm/trunk/SOURCE/timestep_scheme_steering.f90
===================================================================
--- /palm/trunk/SOURCE/timestep_scheme_steering.f90	(revision 1319)
+++ /palm/trunk/SOURCE/timestep_scheme_steering.f90	(revision 1320)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-!
+! ONLY-attribute added to USE-statements,
 !
 ! Former revisions:
@@ -32,12 +32,4 @@
 ! all actions concerning leapfrog scheme removed
 !
-! 673 2011-01-18 16:19:48Z suehring
-! No pressure term during time integration (tsc(4)=0.0).
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.2  2005/03/26 21:17:06  raasch
-! No pressure term for Runge-Kutta-schemes (tsc(4)=0.0)
-!
 ! Revision 1.1  2004/01/28 15:34:47  raasch
 ! Initial revision
@@ -50,5 +42,6 @@
 !------------------------------------------------------------------------------!
 
-    USE control_parameters
+    USE control_parameters,                                                    &
+        ONLY:  intermediate_timestep_count, timestep_scheme, tsc
 
     IMPLICIT NONE
